
//	New or modified code (C)2004 Jeffrey Bakker aka EvilJess <evil@damnclan.com>
//	Existing code for Unreal  Tournament 2004 Copyright  2004 Epic Games, Inc.


//	AkimBin - Akimbo meets BinSlayer
//	Copyright (C) 2004 Jeffrey Bakker

//	This library is free software; you can redistribute it and/or
//	modify it under the terms of the GNU Lesser General Public
//	License as published by the Free Software Foundation; either
//	version 2.1 of the License, or (at your option) any later version.

//	This library is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//	Lesser General Public License for more details.

//	You should have received a copy of the GNU Lesser General Public
//	License along with this library; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


class AkimBinAttachment extends AssaultAttachment;

//simulated function Vector GetTipLocation()
//{
//	return Location - vector(Rotation) * 100;
//}

simulated function MakeMuzzleFlash()
{
	local vector SmokeLoc, SmokeOffset;
	local coords	C;

	AimAlpha = 1;
	if ( TwinGun != None )
		TwinGun.AimAlpha = 1;

 	if ( Instigator.IsFirstPerson() )
 	{
		return;
	}
//	else if ( Level.TimeSeconds - Instigator.LastRenderTime < 0.2 )
//	{
		if (mMuzFlash3rd == None)
			mMuzFlash3rd = Spawn(mMuzFlashClass);

		C = Instigator.GetBoneCoords('FlagHand');
		SmokeOffset =  -1 * C.ZAxis * (Instigator.CollisionRadius + 35);

		mMuzFlash3rd.SetLocation( C.Origin + SmokeOffset + C.ZAxis * 23 + C.YAxis*4.5);
		mMuzFlash3rd.SetDrawScale(1.0);
		mMuzFlash3rd.SetRotation(rotator(-1 * C.ZAxis));
		mMuzFlash3rd.mStartParticles++;
//	}
}

simulated event ThirdPersonEffects()
{
	local rotator r;
	local PlayerController PC;
	
	if ( Level.NetMode != NM_DedicatedServer )
	{
		AimAlpha = 1;
		if ( TwinGun != None )
			TwinGun.AimAlpha = 1;

		if (FiringMode == 0)
		{
			WeaponLight();
			MakeMuzzleFlash();

			if ( !bDualGun && (TwinGun != None) )
				TwinGun.MakeMuzzleFlash();
		}
	}
	Super.ThirdPersonEffects();
}


defaultproperties
{
	Mesh=SkeletalMesh'NewWeapons2004.Sniper3rd'
	RelativeLocation=(X=-30.00,Y=0.00,Z=4.00)
	RelativeRotation=(Pitch=32768,Yaw=0,Roll=0)
	DrawScale=0.160000

	Skins(0)=Shader'BarrensArchitecture-Scion.Environ.My_Environ_BlueFlag'
	Skins(1)=Shader'BarrensArchitecture-Scion.Environ.My_Environ_BlueFlag'
}
